/**********************************************************************
 *
 * argdb.h -- 
 * Copyright (C) 2001  The New Zealand Digital Library Project
 *
 * A component of the Greenstone digital library software
 * from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *********************************************************************/

#include "gsdl_modules_cfg.h"
#ifdef GSDL_USE_COLLECTOR_ACTION

#ifndef ARGDB_H
#define ARGDB_H

#include "text_t.h"
#include "infodbclass.h"

class argdb {

protected:

  text_t dbfile;

public:
  
  argdb (const text_t &filename);
  virtual ~argdb () {}
  
  bool update_args (text_tmap &argmap);
  bool get_args (text_tmap &argmap);
};

#endif //!ARGDB_H
#endif //GSDL_USE_COLLECTOR_ACTION
